## horizon 2012.1.3+stable~20120815-691dd2

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 python-all (>= 2.6.6-3~),
 python-eventlet,
 python-glance,
 python-setuptools,
 python-kombu,
 python-mox,
 python-paste,
 python-pastedeploy,
 python-crypto,
 python-cloudfiles,
 python-django-nose,
 python-nose,
 python-dateutil,
 python-routes,
 python-sqlalchemy,
 python-keystoneclient,
 python-novaclient,
 python-coverage,
 pep8,
 python-sphinx,
 python-webob,
 python-xattr
Standards-Version: 3.9.3
Homepage: http://launchpad.net/horizon

Package: python-django-horizon
Section: python
Architecture: all
Depends: ${misc:Depends}, 
 ${python:Depends}, 
 python-django (>= 1.3),
 python-glance,
 python-nova,
 python-cloudfiles,
 python-eventlet,
 python-kombu,
 python-paste,
 python-pastedeploy,
 python-crypto,
 python-dateutil,
 python-routes,
 python-sqlalchemy,
 python-webob,
 python-xattr,
 python-novaclient,
 python-keystoneclient,
 python-memcache,
 python-django-nose
Recommends: memcached
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, 
 ${python:Depends},
 python-django-horizon,
 adduser,
 libapache2-mod-wsgi (>= 2.3)
Recommends: openstack-dashboard-ubuntu-theme
Description: django web interface to Openstack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: python-django-openstack
Architecture: all
Depends: ${misc:Depends}, python-django-horizon
Description: dummy transitonal package from python-django-openstack to python-django-horizon
 This transitional package from the python-django-openstack to the python-django-horizon 
 package. Once this package and its dependencies are installed you can remove it.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: ${misc:Depends},                                                  
 ${python:Depends},
 openstack-dashboard
Description: Ubuntu theme for the Openstack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

## horizon 2012.1.3+stable-20130423-5ce39422

=== debian/changelog ===
horizon (2012.1.3+stable-20130423-5ce39422-0ubuntu1) precise-proposed; urgency=low

  * Resynchronize with stable/essex (LP: #1089488)
    - [7e651d7] stable/essex horizon installs unusable version of glance
      (LP: #1057125)
    - [35eada8] open redirect / phishing attack via "next" parameter
      (LP: #1039077)
    - [8889311] TypeError when trying to delete an unnamed volume via dashboard
      (LP: #1031291)
    - [f862d9e] Wrong 'Download CSV Summary' link (LP: #1020555)
    - [9b22d68] When adding ICMP rule, the type/code is being validated as
      from/to ports (LP: #997669)
    - [52bbba1] Added --only-selenium option in run_tests.sh
  * Dropped patches, superseeded by new snapshot: 
    - debian/patches/CVE-2012-3540.patch [35eada8]

 -- Yolanda <yolanda.robla@canonical.com>  Wed, 24 Apr 2013 15:46:28 +0200

## horizon 2012.2~f1

=== debian/changelog ===
horizon (2012.2~f1-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New usptream release. 
  * Prepare for quantal:
    - debian/patches/fix-coverage-binary-name.patch: Refreshed.
  * Temporarily pass the testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Jul 2012 14:11:58 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_install:
	# install horizon and dashboard
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf.d
	
	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	
	touch $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum/__init__.py
	touch $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/quantum/client.py
	cp -a $(CURDIR)/debian/openstack-dashboard.conf $(CURDIR)/debian/tmp/etc/apache2/conf.d
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
	cp $(CURDIR)/debian/theme/juju.png \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/juju.png


ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. bash run_tests.sh -N || true
endif

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

## horizon 2012.2~f2

=== debian/changelog ===
horizon (2012.2~f2-0ubuntu1~cloud0) precise-folsom; urgency=low

  * New usptream version. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 11:38:55 -0400

## horizon 2012.2

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,8 @@
 		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
 	ln -fs /etc/openstack-dashboard/local_settings.py \
 		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
-	cp $(CURDIR)/debian/theme/juju.png \
+	cp $(CURDIR)/debian/theme/img/juju.png \
 		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/juju.png
-
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
@@ -37,9 +36,12 @@
 
 override_dh_auto_clean:
 	dh_clean
-	rm -rf $(CURDIR)/horizon/build
-	rm -rf $(CURDIR)/horizon/horizon.egg-info
-	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
+	rm -rf $(CURDIR)/build
+	rm -rf $(CURDIR)/horizon.egg-info
+	rm -rf $(CURDIR)/debian/openstack-dashboard
+	rm -rf $(CURDIR)/debian/python-django-horizon
+	rm -rf $(CURDIR)/debian/tmp
+	find . -name "*.pyc" -exec rm {} \;
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area

## horizon 2012.2.1

=== debian/changelog ===
horizon (2012.2.1-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (da9a19c7) (LP: #1085255):
    - [53954a7] Fixes JavaScript count bug in tables.
    - [65c2ab8] Edit image popup public checkbox not pulling in value
      (LP: #1076216)
    - [cb7aa15] Set defaultbranch in .gitreview to stable/folsom

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 04 Dec 2012 09:19:39 -0800

## horizon 2012.2.3

=== debian/changelog ===
horizon (2012.2.3-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (f421145b) (LP: #1116671):
    - [20fa0fc] EC2 panel shouldn't be visible when the EC2 service isn't
      enabled LP: 1102411
    - [0b1c553] Server error pages are broken LP: 1067206
    - [476072d] login not possible if not service "volume" defined on keystone
      LP: 1084137
    - [ebc5e6d] Quota tally not handling unlimited values correctly LP: 1084976
    - [e19a218] Unable to set unlimited quotas in Horizon LP: 1082489
    - [2f959c6] The css class td.actions_column's width is not enough
      LP: 1081875
    - [817d628] Revert "Temp fix for api/keystone.py"
    - [9060885] Can not display usage data for Quota Summary (LP: #1055929)
  * debian/static/openstack-dashboard: Recompress static JS and CSS based on
    changes applied upstream in stable/folsom.

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 05 Feb 2013 14:06:12 -0400

## horizon 2012.2.4

=== debian/changelog ===
horizon (2012.2.4-0ubuntu1.1) quantal-security; urgency=low

  * SECURITY UPDATE: XSS in Volumes and Network Topology pages
    - debian/patches/CVE-2013-6406: html.escape() various items in
      volumes/tables.py and volume_snapshots/tables.py
    - CVE-2013-6406 (also referred to as CVE-2013-6858)
    - LP: #1247675

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 03 Dec 2013 16:17:27 -0600

horizon (2012.2.4-0ubuntu1) quantal-proposed; urgency=low

  * Resynchronize with stable/folsom (525fab26) (LP: #1179707):
    - [c6d6557] Flavors get deleted when reusing an existing name LP: 1133254
    - [6e1d069] Subnet creation (Quantum) defaults to mask /32 LP: 1102504
    - [c157d95] ugettext should be replaced with ugettext_lazy LP: 1124276
    - [e4dcfc3] (Folsom) Better error message when network creation fails
      LP: 1152619
    - [19b19c0] It's too easy to forget to select a keypair when launching an
      instance LP: 1125124
    - [1315b72] Dashboard usability issue with the VNC console. The console
      looks bad - Can't see the console screen properly  LP: 1050316
    - [765bd98] Flavor creation falls due to duplicate flavorid LP: 1116913
    - [7d03505] flavor create fails without describing error LP: 1079155
    - [32bdf9b] Folsom unit tests failing with
      UnknownMethodCallError('auth_token') LP: 1161901
    - [1d3ecfc] Needs to accept UUID as ID of Floating IP LP: 1052561
    - [abe2f61] More heplful error message for the default role LP: 1108063
    - [8ece3c7] pin django to 1.4.x stream
    - [aa369b0] Timezones in user settings should indicate the UTC offset
      LP: 1103003
    - [1af5e78] Subnet creation (Quantum) defaults to mask /32 LP: 1102504

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 25 Apr 2013 17:44:24 -0400

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 pep8,
 pylint,
 python-all (>= 2.6.6-3~),
 python-django-nose,
 python-mox,
 python-netaddr,
 python-nose,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.3
Homepage: http://launchpad.net/horizon

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-cloudfiles,
 python-django (>= 1.4),
 python-compressor,
 python-cinderclient,
 python-glanceclient,
 python-keystoneclient,
 python-lockfile,
 python-memcache,
 python-netaddr,
 python-novaclient,
 python-openstack-auth,
 python-swiftclient,
 python-tz,
 python-quantumclient,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: adduser,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: django web interface to Openstack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: python-django-openstack
Architecture: all
Depends: python-django-horizon (= ${source:Version}), ${misc:Depends}
Description: dummy transitonal package from python-django-openstack to python-django-horizon
 This transitional package from the python-django-openstack to the python-django-horizon
 package. Once this package and its dependencies are installed you can remove it.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: openstack-dashboard (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Description: Ubuntu theme for the Openstack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

=== debian/watch ===
version=3
opts="uversionmangle=s/%7E/~/" https://launchpad.net/horizon/+download https://launchpad.net/horizon/.*/.*/.*/horizon-(.*)\.tar\.gz
http://tarballs.openstack.org/horizon/ horizon-(\d.*).tar.gz

## horizon 2013.1

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Architecture: all
 Depends: python-cloudfiles,
  python-django (>= 1.4),
- python-compressor,
+ python-compressor (>= 1.2),
  python-cinderclient,
  python-glanceclient,
  python-keystoneclient,

## horizon 2013.1.3

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Loic Dachary (OuoU) <loic@debian.org>,
           Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Ghe Rivero <ghe.rivero@stackops.com>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-setuptools
Build-Depends-Indep: node-less,
                     nodejs-legacy,
                     openstack-pkg-tools,
                     pep8 (>= 1.3.3),
                     pylint,
                     python-cinderclient,
                     python-cloudfiles,
                     python-compressor,
                     python-coverage,
                     python-django-nose,
                     python-docutils,
                     python-glanceclient,
                     python-keystoneclient,
                     python-mox,
                     python-netaddr,
                     python-nose,
                     python-nosexcover,
                     python-novaclient (>= 2:2.10),
                     python-openstack-auth,
                     python-quantumclient (>= 1:2.0),
                     python-sphinx,
                     python-swiftclient,
                     python-tz
Standards-Version: 3.9.3
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-cinderclient,
         python-cloudfiles,
         python-compressor,
         python-django,
         python-django-nose,
         python-glanceclient,
         python-keystoneclient,
         python-lockfile,
         python-memcache,
         python-netaddr,
         python-novaclient (>= 2:2.10),
         python-openstack-auth,
         python-quantumclient (>= 1:2.0),
         python-swiftclient,
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: memcached
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         libapache2-mod-wsgi (>= 2.3),
         libjs-jquery,
         libjs-jquery-cookie,
         node-less,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: memcached, openstack-dashboard-apache
Description: OpenStack Dashboard
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: debconf, openstack-dashboard, ${misc:Depends}
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_install:
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb

	install -d -m 755  $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	# Sets memcached by default in local_settings.py
	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	sed -i -e 's|^[ \t#]*CACHE_BACKEND[ \t#]*=.*|CACHE_BACKEND = "memcached://127.0.0.1:11211/"|' \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	sed -i -e 's|^[ \t#]*COMPRESS_OFFLINE[ \t#]*=.*|COMPRESS_OFFLINE = False|' \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py

	cp $(CURDIR)/manage.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py

override_dh_auto_clean:
	dh_auto_clean
	python setup.py clean
	rm -rf $(CURDIR)/static
	rm -rf $(CURDIR)/horizon/build
	rm -rf $(CURDIR)/horizon.egg-info
	rm -rf $(CURDIR)/openstack_dashboard/openstack_dashboard.egg-info
	rm -rf doc/source/sourcecode
	rm -rf $(CURDIR)/doc/build
	rm -f horizon/openstack_dashboard/test/.secret_key_store
	find $(CURDIR)/openstack_dashboard -iname '*.pyc' -delete

## horizon 2013.1.4

=== debian/changelog ===
horizon (1:2013.1.4-0ubuntu1.1) raring-security; urgency=low

  * SECURITY UPDATE: XSS in Volumes and Network Topology pages
    - debian/patches/CVE-2013-6406: html.escape() various items in
      volumes/tables.py and volume_snapshots/tables.py
    - CVE-2013-6406 (also referred to as CVE-2013-6858)
    - LP: #1247675

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 03 Dec 2013 16:07:28 -0600

horizon (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (3f81d70) (LP: #1241202):
    - [3f81d70] Floating IPs from other tenants are listed when with admin
      tenant LP: 1226224

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:52:34 -0700

horizon (1:2013.1.3-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (435d4c8) (LP: #1210447):
    - [70e403b] Bump stable/grizzly next version to 2013.1.3
    - [21a4b20] Passed variables in template not translated LP: 1180316
    - [9fd8ceb] Selenium tests failing with socket timeout error LP: 1100771
    - [459488c] Deprecation warnings in webserver log LP: 1172222
    - [47ea680] New keystoneclient properties break testsuite LP: 1196823
    - [b163c97] Display of port and CIDR network topology labels is messy
      LP: 1199086
    - [a1b23d6] Sync pytz from requirements.txt
    - [16f52c4] Cant disassociate floating IP from instance panel when using
      Quantum LP: 1158596
    - [889f240] Unclear error when deleting a Swift container that contains
      data LP: 1096084
    - [933b991] 'msgid' format string with unnamed arguments cannot be
      properly localized in
      dashboards/project/instances/workflows/create_instance.py LP: 1177629
    - [d54fd25] Exception when editing (some) Quantum security rules
      LP: 1165095
    - [eab3b39] TypeError for cinder problems LP: 1182075
    - [4a3dbe1] Duplicate Networks in Networking Tab LP: 1170193
    - [4c7eb79] Handle None display name for boot from volume LP: 1199206
    - [d6f033c] Test failing due to latest version of openstack_auth
      LP: 1207599
    - [435d4c8] grizzly: translation PO files are out-of-date LP: 1207442
  * debian/control: Set Vcs fields.

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 09 Aug 2013 10:03:06 +0100

horizon (1:2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (7310ef2d) (LP: #1188788):
    - [6ffa0e6] Update translations from transifex LP: 1175241
    - [0769c3c] Backport "Remove the term 'syspanel' from docs" to Grizzly
      LP: 1179873

 -- Adam Gandelman <adamg@ubuntu.com>  Fri, 07 Jun 2013 13:27:44 -0400

horizon (1:2013.1.1-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (e68b7a8e) (LP: #1179626):
    - [e68b7a8] Lazy translation object in error message (default role doesn't
      exist) LP: 1175165
    - [830094a] Unable to create panel using ./run_test.sh LP: 1164505
    - [4b3ebde] some sub-title seems not consistent in i18n and format
      LP: 1120551
    - [830094a] Unable to create panel using ./run_test.sh LP: 1164505

 -- Adam Gandelman <adamg@ubuntu.com>  Tue, 14 May 2013 07:49:08 -0700

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 pep8,
 pylint,
 python-all (>= 2.6.6-3~),
 python-django-nose,
 python-mox,
 python-netaddr,
 python-nose,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.3
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/grizzly/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/grizzly

Package: python-django-horizon
Section: python
Architecture: all
Depends: python-cloudfiles,
 python-django (>= 1.4),
 python-compressor (>= 1.2),
 python-cinderclient,
 python-glanceclient,
 python-keystoneclient,
 python-lockfile,
 python-memcache,
 python-netaddr,
 python-novaclient,
 python-openstack-auth,
 python-swiftclient,
 python-tz,
 python-quantumclient,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: adduser,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: django web interface to Openstack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: python-django-openstack
Architecture: all
Depends: python-django-horizon (= ${source:Version}), ${misc:Depends}
Description: dummy transitonal package from python-django-openstack to python-django-horizon
 This transitional package from the python-django-openstack to the python-django-horizon
 package. Once this package and its dependencies are installed you can remove it.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends: openstack-dashboard (= ${source:Version}), ${misc:Depends}, ${python:Depends}
Description: Ubuntu theme for the Openstack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

## horizon 2013.1.5

=== debian/changelog ===
horizon (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * Resynchronize with stable/grizzly (e6a4653) (LP: #1295674):
    - [e6a4653] Fixing tests to work with keystoneclient 0.6.0
    - [3212dd0] User email is optional and can be absent
    - [117ac2f] Adding management_url to test mock client
    - [b14debc] Fix bug by escaping strings from Nova before displaying them

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Mar 2014 14:32:35 -0400

## horizon 2013.2~rc3

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with python2

override_dh_auto_install:
	# install horizon and dashboard
	python setup.py install --root=$(CURDIR)/debian/tmp --no-compile -O0 --install-layout=deb
	install -d -m 755 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	install -d -m 755 $(CURDIR)/debian/tmp/etc/apache2/conf-available

	cp -a $(CURDIR)/openstack_dashboard/ $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/
	install -d -m 755 $(CURDIR)/debian/tmp/etc/openstack-dashboard
	cp -a $(CURDIR)/openstack_dashboard/settings.py $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/

	cp $(CURDIR)/openstack_dashboard/local/local_settings.py.example \
		$(CURDIR)/debian/tmp/etc/openstack-dashboard/local_settings.py
	cp $(CURDIR)/manage.py \
		 $(CURDIR)/debian/tmp/usr/share/openstack-dashboard/manage.py
	ln -fs /etc/openstack-dashboard/local_settings.py \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
	cp $(CURDIR)/debian/theme/img/juju.png \
		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/juju.png

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PYTHONPATH=. bash run_tests.sh -N || true
endif

override_dh_auto_clean:
	dh_clean
	rm -rf $(CURDIR)/build
	rm -rf $(CURDIR)/debian/openstack-dashboard
	rm -rf $(CURDIR)/debian/python-django-horizon
	rm -rf $(CURDIR)/debian/tmp
	find . -name "*.pyc" -exec rm {} \;

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

refresh-static-assets:
	(cd openstack_dashboard/local; ln -sf local_settings.py.example local_settings.py)
	python ./manage.py compress --force
	rm -rf debian/static/openstack-dashboard/*
	cp -r static/dashboard/* debian/static/openstack-dashboard/
	rm -f openstack_dashboard/local/local_settings.py

## horizon 2013.2.3

=== debian/changelog ===
horizon (1:2013.2.3-0ubuntu1.1) saucy-security; urgency=medium

  * SECURITY UPDATE: fix XSS in Heat template description and outputs
    parameters
    - LP: #1289033
    - CVE-2014-0157

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 05 May 2014 13:39:33 -0500

horizon (1:2013.2.3-0ubuntu1) saucy-proposed; urgency=medium

  * Resynchronize with stable/havana (82cb9f6) (LP: #1302575):
    - [b2259b3] Don't copy the flavorid when updating flavors
    - [8db4687] Allow snapshots of paused and suspended instances
    - [cf181c1] Reduce number of novaclient calls
    - [82cb9f6] Fixing tests to work with keystoneclient 0.6.0

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 04 Apr 2014 10:52:55 -0400

horizon (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  [ Chuck Short ]
  * Resynchronize with stable/havana (36e0ab5) (LP: #1284643):
    - [e73ff07] run_tests.sh fails with a fresh venv due to django 1.6
      installed LP: 1250581
    - [3e93b54] Email shouldn't be a mandatory attribute LP: 1260423
    - [2c1f1f3] Wrap call to extension_supported on Launch Instance with
      try/except LP: 1262223
    - [2e11482] Unit tests failing with raise
      UnknownMethodCallError('management_url') LP: 1268631
    - [c6d38a1] Metering dashboard. Marker could not be found (havana)
      LP: 1260528
    - [2b6dfa7] keypairs can not have an '@' sign in the name LP: 1265563
    - [8ba7780] Cannot see confirmation message when working on longer pages
      LP: 1251361
    - [edd8ee4] fix help text in "Create An image" window
    - [aa55b24] Inconsistance between horizon and django_openstack_auth default
      keystone version LP: 1231357
    - [7a8eadc] LBaaS. HealthMonitor representation should be improved
      LP: 1237377
    - [02e7b6e] "neutron lb-pool-list" running by admin returns also non-admin
      load balancer pools which appear later in horizon's admin project
      LP: 1244126
    - [5520d65] create volume option is shown, even without cinder enabled
      LP: 1267438
    - [5b970a5] .tx/config in havana needs to catch up with Transifex resource
      renaming LP: 1274005
    - [6508afd] when creating instance,access security and networking tabs
      missing asterisk LP: 1252005
    - [96bd650] timeout logic causes logout when load balanced LP: 1243277
    - [36e0ab5] Import translations for Havana 2013.2.2 update

  [ James Page ]
  * d/static/*: Refreshed for new upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 25 Feb 2014 09:19:08 -0500

horizon (1:2013.2.1-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9668e80) (LP: #1262788):
    - [d97bba1] precision of floating point metering stats is discarded
      unnecessarily LP: 1241467
    - [53047be] "Tenant" should be "Project" (Resource Usage panel) LP: 1250942
    - [728b5d1] Subnet / Subnet details not marked as translatable LP: 1254026
    - [9465e54] missing hover hint for instance:<type> meter in Metric dropdown
      list LP: 1243241
    - [842ba5f] Default port for The MS SQL Security Group is 1433 instead of
      1443 LP: 1250029
    - [631ee65] iso8601 debug message is annoying in dashboard unit test
      LP: 1250554
    - [1361a02] only meters associated with the first instance reported appear
      in Metric dropdown list LP: 1243298
    - [599d4a5] Persistent XSS in OpenStack Web UI for Instances LP: 1247675
    - [7f804c9] Password Change needs to logout current user  LP: 1226829
    - [3b621e7] The "Weight" parameter in Horizon's LBaaS member creation
      dialog is mandatory while it's only optional in the cli command
      LP: 1241004
    - [b5b102e] i18n: "Filter" in "Flavor Access" tab of "Create Flavor"
      workflow is not translatable LP: 1239927
    - [0aba596] I18n: Localization of the role "Member" LP: 1255004
    - [d66a483] detach volume dialog contains escaped html LP: 1252881
    - [37f0128] English string for "Injected File Path Bytes" is wrong
      LP: 1254049
    - [ac2815c] ./templates/base.html.c:6: warning: unterminated string literal
      LP: 1243526
    - [6d02f2e] Cannot assign different translations for present and past
      message of BatchAction LP: 1252082
    - [655dc79] Resource Usage Page table views shows statistics in a wrong way
      LP: 1249279
    - [5d9684d] lbaas pool tcp LP: 1241713
    - [040bebb] Some "Working" dialogs are not translatable LP: 1252074
    - [852e5c8] Translation update for 2013.2.1 release LP: 1258462
    - [9668e80] Updated from global requirements
  * debian/patches/CVE-2013-6406: Dropped, applied upstream [599d4a5]
  * debian/patches/revert-stable-havana-requirements.patch: Revert
    version bumps to dependencies in stable/havana back to what was
    shipped with Saucy.

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 18 Dec 2013 10:47:22 -0800

horizon (1:2013.2-0ubuntu1.1) saucy-security; urgency=low

  * SECURITY UPDATE: XSS in Volumes and Network Topology pages
    - debian/patches/CVE-2013-6406: html.escape() various items in
      volumes/tables.py and volume_snapshots/tables.py
    - CVE-2013-6406 (also referred to as CVE-2013-6858)
    - LP: #1247675

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 03 Dec 2013 15:54:34 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: extra
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends: debhelper (>= 8.0.0),
- pep8,
+ python-pbr,
+ python-d2to1,
  pylint,
  python-all (>= 2.6.6-3~),
  python-django-nose,
@@ -14,8 +15,8 @@
  python-sphinx
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/horizon
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/grizzly/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/grizzly
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/havana
 
 Package: python-django-horizon
 Section: python
@@ -23,6 +24,8 @@
 Depends: python-cloudfiles,
  python-django (>= 1.4),
  python-compressor (>= 1.2),
+ python-ceilometerclient,
+ python-heatclient,
  python-cinderclient,
  python-glanceclient,
  python-keystoneclient,
@@ -30,13 +33,15 @@
  python-memcache,
  python-netaddr,
  python-novaclient,
- python-openstack-auth,
+ python-openstack-auth (>= 1.1.1),
  python-swiftclient,
+ python-troveclient,
  python-tz,
- python-quantumclient,
+ python-neutronclient,
  ${misc:Depends},
  ${python:Depends}
 Recommends: memcached
+Suggests: python-lesscpy
 Description: Django module providing web based interaction with OpenStack
  The Django-Nova project is a Django module that is used to provide web based
  interactions with the OpenStack Nova cloud controller.
@@ -45,6 +50,7 @@
 Architecture: all
 Pre-Depends: dpkg (>= 1.15.7.2)
 Depends: adduser,
+ apache2 | httpd,
  libapache2-mod-wsgi (>= 2.3),
  python-django-horizon (= ${source:Version}),
  ${misc:Depends},

## horizon 2014.1

=== requirements.txt ===
# Horizon Core Requirements
Django>=1.4,<1.7
django_compressor>=1.3
django_openstack_auth>=1.1.4
eventlet>=0.13.0
iso8601>=0.1.9
kombu>=2.4.8
lesscpy>=0.9j
# Horizon Utility Requirements
# for SECURE_KEY generation
lockfile>=0.8
netaddr>=0.7.6
pbr>=0.6,<1.0
python-ceilometerclient>=1.0.6
python-cinderclient>=1.0.6
python-glanceclient>=0.9.0
python-heatclient>=0.2.3
python-keystoneclient>=0.7.0
python-neutronclient>=2.3.4,<3
python-novaclient>=2.17.0
python-swiftclient>=1.6
python-troveclient>=1.0.3
pytz>=2010h
six>=1.5.2

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 8.0.0),
 pylint,
 python-all (>= 2.6.6-3~),
 python-django-nose,
 python-mox,
 python-netaddr,
 python-nose,
 python-pbr,
 python-setuptools,
 python-sphinx
Standards-Version: 3.9.3
Homepage: http://launchpad.net/horizon
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/horizon/icehouse/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/horizon/icehouse

Package: python-django-horizon
Section: python
Architecture: all
Depends:
 python-ceilometerclient,
 python-cinderclient,
 python-cloudfiles,
 python-compressor (>= 1.2),
 python-django (>= 1.4),
 python-glanceclient,
 python-heatclient,
 python-keystoneclient,
 python-lockfile,
 python-memcache,
 python-netaddr,
 python-neutronclient,
 python-novaclient,
 python-openstack-auth (>= 1.1.1),
 python-swiftclient,
 python-troveclient,
 python-tz,
 ${misc:Depends},
 ${python:Depends}
Recommends: memcached
Suggests: python-lesscpy
Description: Django module providing web based interaction with OpenStack
 The Django-Nova project is a Django module that is used to provide web based
 interactions with the OpenStack Nova cloud controller.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi (>= 2.3),
 python-django-horizon (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Recommends: openstack-dashboard-ubuntu-theme
Description: django web interface to Openstack
 The OpenStack Dashboard is a reference implementation of a Django site that
 uses the Django-Nova project to provide web based interactions with the
 OpenStack Nova cloud controller.

Package: python-django-openstack
Section: oldlibs
Architecture: all
Depends: python-django-horizon (= ${source:Version}), ${misc:Depends}
Description: dummy transitonal package
 This transitional package from the python-django-openstack to the
 python-django-horizon package. Once this package and its dependencies are
 installed you can remove it.

Package: openstack-dashboard-ubuntu-theme
Architecture: all
Depends:
 openstack-dashboard (= ${source:Version}),
 ${misc:Depends},
 ${python:Depends}
Description: Ubuntu theme for the Openstack dashboard
 A custom Ubuntu theme for Horizon.  This package is optional and overrides the
 default theme and branding.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 %:
 	dh $@  --with python2
+
+PYVER=$(shell pyversions -d)
 
 override_dh_auto_install:
 	# install horizon and dashboard
@@ -25,19 +27,14 @@
 		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/local/local_settings.py
 	cp $(CURDIR)/debian/theme/img/juju.png \
 		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/dashboard/img/juju.png
+	ln -fs /usr/lib/$(PYVER)/dist-packages/horizon/static/horizon \
+		$(CURDIR)/debian/tmp/usr/share/openstack-dashboard/openstack_dashboard/static/horizon
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	PYTHONPATH=. bash run_tests.sh -N || true
+	# Skip tests
+	:
 endif
-
-override_dh_auto_clean:
-	dh_clean
-	rm -rf $(CURDIR)/build
-	rm -rf $(CURDIR)/debian/openstack-dashboard
-	rm -rf $(CURDIR)/debian/python-django-horizon
-	rm -rf $(CURDIR)/debian/tmp
-	find . -name "*.pyc" -exec rm {} \;
 
 get-orig-source:
 	uscan --verbose --force-download --rename --destdir=../build-area

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/" \
 https://launchpad.net/horizon/+download https://launchpad.net/horizon/.*/.*/.*/horizon-(.*)\.tar\.gz

## horizon 2014.1.2

=== debian/changelog ===
horizon (2014.1.2-3) unstable; urgency=high

  * CVE_2014-3594: Fix XSS issue with the unordered_list filter
    (Closes: #758930).
  * Added Build-Conflicts: python-webob

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Aug 2014 10:30:29 +0800

horizon (2014.1.2-2) unstable; urgency=medium

  * Used the new version of the summation patch.
  * Added build-conflicts: python-unittest2.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Aug 2014 13:50:13 +0000

horizon (2014.1.2-1) unstable; urgency=medium

  * New upstream point release.
  * Removed CVE-2014-3473, CVE-2014-3474, CVE-2014-3475 patch, applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 Aug 2014 22:57:13 +0800

horizon (2014.1.1-3) unstable; urgency=high

  * CVE-2014-3473, CVE-2014-3474, CVE-2014-3475: XSS vulnerability. Applied
    upstream provided patch from https://review.openstack.org/105477
    (Closes: 754255).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Jul 2014 16:14:35 +0800

=== debian/control ===
Source: horizon
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               po-debconf,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               openstack-pkg-tools,
               python-setuptools
Build-Depends-Indep: python-ceilometerclient (>= 1.0.6),
                     python-cinderclient (>= 1:1.0.6),
                     python-cloudfiles,
                     python-compressor (>= 1.3),
                     python-coverage (>= 3.6),
                     python-django (>= 1.4),
                     python-django-nose,
                     python-docutils (>= 0.9.1),
                     python-eventlet (>= 0.13.0),
                     python-glanceclient (>= 1:0.10.0),
                     python-hacking (>= 0.8.0),
                     python-heatclient (>= 0.2.4),
                     python-iso8601 (>= 0.1.9),
                     python-keystoneclient (>= 1:0.7.0),
                     python-kombu (>= 2.5.12),
                     python-lesscpy (>= 0.9j),
                     python-lockfile,
                     python-mox,
                     python-netaddr,
                     python-neutronclient (>= 2.3.4),
                     python-nose,
                     python-nosehtmloutput,
                     python-nosexcover,
                     python-nose-exclude,
                     python-novaclient (>= 2:2.17.0),
                     python-openstack-auth (>= 1.1.4),
                     python-openstack.nose-plugin,
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-sphinx,
                     python-swiftclient (>= 1:1.6.0),
                     python-testtools (>= 0.9.34),
                     python-troveclient (>= 1.0.3),
                     python-tz
Build-Conflicts: python-unittest2, python-webob
Standards-Version: 3.9.5
Homepage: http://horizon.openstack.org
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/horizon.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/horizon.git

Package: python-django-horizon
Section: python
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-ceilometerclient (>= 1.0.6),
         python-cinderclient (>= 1:1.0.6),
         python-cloudfiles,
         python-compressor (>= 1.3),
         python-d2to1 (>= 0.2.10),
         python-django (>= 1.4),
         python-django-nose,
         python-eventlet (>= 0.13.0),
         python-glanceclient (>= 1:0.10.0),
         python-heatclient (>= 0.2.4),
         python-iso8601 (>= 0.1.9),
         python-keystoneclient (>= 1:0.7.0),
         python-kombu (>= 2.5.12),
         python-lesscpy (>= 0.9j),
         python-lockfile,
         python-memcache,
         python-netaddr,
         python-neutronclient (>= 2.3.4),
         python-novaclient (>= 2:2.17.0),
         python-openstack-auth (>= 1.1.4),
         python-six (>= 1.6.0),
         python-swiftclient (>= 1:1.6.0),
         python-troveclient (>= 1.0.3),
         python-tz,
         ${misc:Depends},
         ${python:Depends}
Recommends: memcached
Description: Django module providing web interaction with OpenStack
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 Horizon is a Django module that permits interaction with an OpenStack
 cloud. It can be used to build a dashboard to control an OpenStack cloud.

Package: openstack-dashboard
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         libapache2-mod-wsgi (>= 2.3),
         libjs-jquery,
         libjs-jquery-cookie,
         python-django-horizon (= ${source:Version}),
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: memcached, openstack-dashboard-apache
Description: OpenStack Dashboard
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.

Package: openstack-dashboard-apache
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: debconf, openstack-dashboard, ${misc:Depends}
Description: OpenStack Dashboard - Apache support
 The OpenStack Dashboard is a web application to control an OpenStack
 cloud. It connects to OpenStack services such as Nova, Swift, or Keystone
 using the OpenStack REST API just as you would with the command line
 clients.
 .
 This package includes the configuration files to use within Apache. If you
 wish to configure Apache yourself, use only openstack-dashboard.
